%global momorel 1
%global date 20080606
%global svndate 06.06.08
%global qtver 4.4.0
%global kdever 4.0.80
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: A multimedia mplayer/gstreamer/libxine frontend for KDE
Name: kmplayer
Version: 0.11.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://kmplayer.kde.org/
Group: Applications/Multimedia
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{svndate}-rewind-to-rc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: mplayer
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: gettext

%description
KMPlayer can play all the audio/video supported by mplayer/libxine/Gstreamer from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}-%{svndate}

# adjust src
%patch0 -p1 -b .rc4

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kmplayer.png %{buildroot}%{_datadir}/pixmaps/kmplayer.png

# install desktop file
mkdir -p %{buildroot}%{_kde4_datadir}/applications/kde4
install -m 644 src/src/kmplayer.desktop %{buildroot}%{_kde4_datadir}/applications/kde4/

# conflicts with oxygen-icon-theme-4.0.80
rm -f %{buildroot}%{_kde4_iconsdir}/oxygen/*/apps/kmplayer.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc src/COPYING.*
%{_kde4_bindir}/kmplayer
%{_kde4_bindir}/knpplayer
%{_kde4_bindir}/kphononplayer
%{_kde4_libdir}/kde4/libkmplayerpart.so
%{_kde4_libdir}/libkdeinit4_kmplayer.so
%{_kde4_libdir}/libkmplayercommon.so
%{_kde4_datadir}/applications/kde4/kmplayer.desktop
%{_kde4_appsdir}/kmplayer
%{_kde4_docdir}/HTML/*/kmplayer
%{_kde4_iconsdir}/*/*/*/kmplayer.png
%{_kde4_iconsdir}/*/*/*/kmplayer.svgz
%{_kde4_datadir}/kde4/services/kmplayer.desktop
%{_kde4_datadir}/kde4/services/kmplayer_part.desktop
%{_datadir}/locale/*/LC_MESSAGES/kmplayer.mo
%{_datadir}/pixmaps/kmplayer.png

%changelog
* Fri Jun  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-0.20080606.1m)
- update to 20080606 svn snapshot for KDE 4.1 Beta 1

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-0.20080123.4m)
- revise %%{_docdir}/HTML/*/kmplayer/common

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.0-0.20080123.3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.0-0.20080123.2m)
- rebuild against gcc43

* Wed Jan 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-0.20080123.1m)
- update to 20080123 svn snapshot for KDE4
- License: GPLv2

* Wed Dec 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0c-1m)
- update to 0.10.0c

* Sat Dec  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0b-1m)
- update to 0.10.0b

* Sat Sep 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0a-1m)
- update to 0.10.0a

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4a-1m)
- initial package for Momonga Linux
